NamedPipeUnitTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class NamedPipeUnitTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.UnitTestBase
        - - net.sourceforge.jtds.jdbc.NamedPipeUnitTest

-     public class NamedPipeUnitTest
      extends UnitTestBase

  Unit tests for the `SharedNamedPipe` class.
  Version:
    $Id: NamedPipeUnitTest.java,v 1.9 2007-07-08 18:08:54 bheineman Exp $
  Author:
    David D. Kilzer

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedPipeUnitTest(java.lang.String name)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private int` | `invoke_calculateBufferSize(int tdsVersion, int packetSize)` Helper method to invoke `Support.calculateNamedPipeBufferSize(int, int)` using reflection.
    `void` | `testCalculateBufferSize_TDS42()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 4.2 when the packet size is set to 0.
    `void` | `testCalculateBufferSize_TDS50()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 5.0 when the packet size is set to 0.
    `void` | `testCalculateBufferSize_TDS70()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 7.0 when the packet size is set to 0.
    `void` | `testCalculateBufferSize_TDS80()` Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 8.0 when the packet size is set to 0.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.UnitTestBase

      `assertEquals, invokeConstructor, invokeGetInstanceField, invokeInstanceMethod, invokeSetInstanceField, invokeStaticMethod, ucFirst`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedPipeUnitTest

          public NamedPipeUnitTest(java.lang.String name)

      Constructor.
      Parameters:
        `name` - The name of the test.

  - ### Method Detail

    - #### testCalculateBufferSize_TDS42

          public void testCalculateBufferSize_TDS42()

      Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 4.2 when the packet size is set to 0.

    - #### testCalculateBufferSize_TDS50

          public void testCalculateBufferSize_TDS50()

      Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 5.0 when the packet size is set to 0.

    - #### testCalculateBufferSize_TDS70

          public void testCalculateBufferSize_TDS70()

      Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 7.0 when the packet size is set to 0.

    - #### testCalculateBufferSize_TDS80

          public void testCalculateBufferSize_TDS80()

      Test that `Support.calculateNamedPipeBufferSize(int, int)` sets the buffer size appropriately for TDS 8.0 when the packet size is set to 0.

    - #### invoke_calculateBufferSize

          private int invoke_calculateBufferSize(int tdsVersion,
                                       int packetSize)

      Helper method to invoke `Support.calculateNamedPipeBufferSize(int, int)` using reflection.
      Parameters:
        `tdsVersion` - The TDS version as an `int`.
        `packetSize` - The packet size as an `int`.
      Returns:
        Result of calling `Support.calculateNamedPipeBufferSize(int, int)`.

Generated on June 8 2013